# SignalWire Go Lang


[![Build Status](https://ci.signalwire.com/api/badges/signalwire/signalwire-golang/status.svg)](https://ci.signalwire.com/signalwire/signalwire-golang/)
<a href="https://goreportcard.com/badge/github.com/signalwire/signalwire-golang/tree/master/signalwire/goreportcard?style=flat-square"><img src="https://goreportcard.com/badge/github.com/signalwire/signalwire-golang/tree/master/signalwire/goreportcard?style=flat-square" alt="Go Report Card"></a>

The Relay SDK for Go enables Go Lang developers to connect and use SignalWire's Relay APIs within their own Go code. Our Relay SDK allows developers to build or add robust and innovative communication services to their applications.

## Getting Started

Read the implementation documentation, guides and API Reference at the official [Relay SDK for Go Documentation](https://docs.signalwire.com/topics/relay-sdk-go) site.

---

## Contributing

Relay SDK for Go is open source and maintained by the SignalWire team, but we are very grateful for [everyone](https://github.com/signalwire/signalwire-golang/contributors) who has contributed and assisted so far.

If you'd like to contribute, feel free to visit our [Slack channel](https://signalwire.community/) and read our developer section to get the code running in your local environment.

## Developers

The Go SDK is a Go Lang package [signalwire-golang](https://github.com/signalwire/signalwire-golang). To setup the dev environment follow these steps:

1. Install Go Lang (https://golang.org/doc/install)
2. "go get github.com/signalwire/signalwire-golang/signalwire"
3. Create a new branch from `master` for your changes.
4. Make changes and test them via example apps! You can start developing starting from the examples in [RelayExamples/](https://github.com/signalwire/signalwire-golang/tree/master/RelayExamples) 


## License

Relay SDK for Go is copyright © 2019
[SignalWire](http://signalwire.com). It is free software, and may be redistributed under the terms specified in the [MIT-LICENSE](https://github.com//signalwire/signalwire-golang/blob/master/LICENSE) file.
